@charset "UTF-8";

* {
    margin: 0%;
    padding: 0%;

    font-family: Arial, Helvetica, sans-serif;
    font-size: 14px;

    scroll-behavior: smooth;
    scroll-margin: 150px;
}



#beforeLoading {
    display: none;
}

#loadingBody {
    width: 100%;
    height: 100vh;
    display: flex;
    align-items: center;
    justify-content: center;
}

#loading {
    width: 40px;
    height: 40px;
    background-color: transparent;
    display: block;
    border: 5px solid #4B9CD3;
    border-top: 5px solid transparent;
    border-radius: 50%;

    animation: loading 1s ease-in-out infinite;
}

@keyframes loading {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}



.modal {
    display: none;
    position: fixed;
    z-index: 1;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    z-index: 200;
}

.modal-content {
    background-color: var(--cor3);
    padding: 20px;
    border-radius: 5px;
    width: 300px;
    margin: 20% auto;
    text-align: center;
    backdrop-filter: blur(4px);
}

.modal-content > p {
    color: white;
    padding: 10px;
}

button {
    height: 25px;
    width: 60px;
    padding: 5px;
    margin: 15px;
    border: none;
    border-radius: 7px;
    background-image: linear-gradient(to right, #4eabe9 50%, #4B9CD3);
    background-size: 160% 100%;
    color: rgba(255, 255, 255, 0.438);
    transition: .3s ease-in-out;
    animation: animatedGradient 2s infinite alternate;
}

@keyframes animatedGradient {
    0% {
        background-position-x: 0%;
    }

    100% {
        background-position-x: 100%;
    }
}

button:hover {
    color: var(--cor1);
}



::-webkit-scrollbar {
    width: 4px;
    height: 7px;
}

::-webkit-scrollbar-thumb {
    background-color: var(--cor5);
    border-radius: 5px;
}



:root {
    --cor1: #ffffffee;
    --cor2: #000000ef;
    --cor3: #ffffff80;
    --cor4: #000000ad;

    --cor5: rgba(255, 255, 255, 0.050);
}

.tema-dark {
    --cor1: #000000ef;
    --cor2: #ffffffee;
    --cor3: #0000009d;
    --cor4: #000000ad;

    --cor5: rgba(0, 0, 0, 0.219);
}



body {
    overflow-x: hidden;
    background-color: var(--cor2);
    color: var(--cor1);
    transition: .5s ease-in-out;
}



.cursor-dot {
    width: 5px;
    height: 5px;
    background-color: var(--cor1);
}

.cursor-outline {
    width: 30px;
    height: 30px;
    border: 2px solid var(--cor3);
}

.cursor-dot,
.cursor-outline {
    position: fixed;
    top: 0;
    left: 0;
    transform: translate(-50%, -50%);
    border-radius: 50%;
    z-index: 1000;
    pointer-events: none;
}


#iten {
    display: block;
}

#navBarContainer {
    width: 85%;
}

#navBarFlex {
    display: flex;
    justify-content: space-between;
}

#sunOrMoon {
    cursor: pointer;
}

#iconMenu {
    display: none;
}

header {
    width: 100%;
    padding: 40px 8%;
    position: fixed;
    top: 0;
    left: 0;
    transition: .5s ease-in-out;
    z-index: 10;
}

header.rolagem {
    padding: 16px 8%;
    background-color: var(--cor5);
    backdrop-filter: blur(15px);
}

header ul > li {
    list-style-type: none;
    display: inline-block;
    margin: 0px 30px;
}

li > a {
    text-decoration: none;
    color: var(--cor3);
    transition: .25s ease-in-out;
}

li > a:hover {
    color: var(--cor1);
}


#home {
    width: 90%;
    display: flex;
    align-items: center;
    justify-content: space-around;
    padding: 40vh 8%;
    margin-bottom: 10%;
}

#divApresentacao > p {
    float: right;
}

#divShapes {
    padding: 10px 0px;
}

#divShapes > img {
    padding-right: 10px;
}

#circle {
    transition: .5s ease-in-out;
}
#circle:hover {
    transform: translateX(10px);
}

#quadrado {
    transition: .5s ease-in-out;
}
#quadrado:hover {
    transform: translateX(10px);
}

#divApresentacaoLista {
    text-align: center;
}

#divApresentacaoLista > ul > li {   
    list-style-type: none;
    padding: 4px;
}

.myresume {
    width: 130px;
    height: 28px;
    margin-left: 11%;

    border: none;
    border-radius: 7px;
    background-image: linear-gradient(to right, #4eabe9 50%, #4B9CD3);
    background-size: 160% 100%;
    color: var(--cor3);
    transition: .3s ease-in-out;
    animation: animatedGradient 2s infinite alternate;
}

.certificates {
    width: 130px;
    height: 28px;
    margin-left: 11%;

    border: none;
    border-radius: 7px;
    background-image: linear-gradient(to right, #4eabe9 50%, #4B9CD3);
    background-size: 160% 100%;
    color: var(--cor3);
    transition: .3s ease-in-out;
    animation: animatedGradient 2s infinite alternate;
}

.scrollIndicator {
    top: 30vh;
    width: 1.4em;
    height: 2.6em;
    border: 2px solid var(--cor1);
    border-radius: 30px;
    position: relative;
    z-index: -1;
}

.scrollIndicator::before {
    content: '';
    width: 0.3em;
    height: 0.3em;
    border-radius: 50%;
    background: #4B9CD3;
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    animation: scroll 1.1s infinite;
}

@keyframes scroll {
    0% {
        bottom: 70%;
        opacity: 1;
    }

    100% {
        bottom: 10%;
        opacity: 0;
    }
}


#about {
    padding: 0px 8%;
    margin-top: 10%;
    margin-left: 8%;
    margin-bottom: 10%;
}

#divAboutMe {
    margin-bottom: 10%;
}

#divAboutMe > p {
    max-width: 100vh;
    padding-top: 10px;
}

#divAboutMeContainer {
    display: flex;
    align-items: center;
}

#divAboutMePhoto {
    margin-left: 5%;
    margin-right: 60px;
    margin-bottom: 8%;
}


#skillsAndProjects {
    background-image: linear-gradient(to right, #4393c9 50%, #357199);
    animation: animatedGradient 2s infinite alternate;

    display: flex;
    justify-content: space-around;
    width: 100%;
}

#skillsAndProjects > section {
    margin-top: 40px;
}


#skills {   
    width: 700px;
    text-align: center;
}

#skills > p {
    color: var(--cor3);
    margin: 40px 10px;
    transition: .25s ease-in-out;
}

#skills > p:hover {
    color: var(--cor1);
    margin: 40px 10px;
}


#projects {
    text-align: center;
    margin-right: 16%;
}

#divProjects > a > p {
    margin: 40px 10px;
}

a > p {
    color: var(--cor3);
    transition: .25s ease-in-out;
}

a > p:hover {
    color: var(--cor1);
}


#contact {
    text-align: center;
    width: 99%;
    margin-top: 15%;
    margin-bottom: 15%;
}

#contact ul > li {
    list-style-type: none;
    display: inline-block;
    margin: 20px 20px;
}


.title {
    font-size: 20px;
}
